package domain

type AlibabaWdkMarketingItempoolStairAdditemMarketResult struct {
	/*
	   结果信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   data     */
	Data *AlibabaWdkMarketingItempoolStairAdditemItemPoolSku `json:"data,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolStairAdditemMarketResult) SetMessage(v string) *AlibabaWdkMarketingItempoolStairAdditemMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairAdditemMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingItempoolStairAdditemMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairAdditemMarketResult) SetData(v AlibabaWdkMarketingItempoolStairAdditemItemPoolSku) *AlibabaWdkMarketingItempoolStairAdditemMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolStairAdditemMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingItempoolStairAdditemMarketResult {
	s.Success = &v
	return s
}
